Search the Community

Showing results for tags 'ros'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Intera User Forum
    • Using Intera
  • SDK User Forum
    • Robot

Blogs

  • Test Blog

Calendars

There are no results to display.


Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


About Me


Company Name


City


State/Province


Phone Number


Robot Serial


Controller Serial

Found 13 results

  1. Hello, I am having a Sawyer. My system is running ROS Kinetic in Ubuntu 16.04. I tried using the sh script, it ssh s myself inside how ever I cannot communicate with the ROS master. I tried using a virtual machine running ROS Indigo and Ubuntu 14.04. I still couldn't communicate to the ROS master. In all the cases i could ping the system from my workstation. Also in my SDK mode, it throws camera calibration error. I have attached a screenshot of that. Kindly help.
  2. Hello, I am giovanni. I am trying to connect with the Sawyer Robot using ROS. The ROS_HOSTNAME.local of my robot is: 021705CP00067 and my IP is: 158.42.278.72. First, I'm doing "cd ~/ros_ws". Then, "./intera.sh" and this show me the following message: "EXITING - Please edit this file, modifying the 'robot_hostname' variable to reflect your Robot's current hostname." So, to solve that I insert in my console "gedit intera.sh", but after modify it I cannot connect with the robot. This is my "./intera.sh" code: #!/bin/bash # Copyright (c) 2013-2016, Rethink Robotics # All rights reserved. # This file is to be used in the *root* of your Catkin workspace. # This is a convenient script which will set up your ROS environment and # should be executed with every new instance of a shell in which you plan on # working with Intera. # Clear any previously set your_ip/your_hostname unset your_ip unset your_hostname #-----------------------------------------------------------------------------# # USER CONFIGURABLE ROS ENVIRONMENT VARIABLES # #-----------------------------------------------------------------------------# # Note: If ROS_MASTER_URI, ROS_IP, or ROS_HOSTNAME environment variables were # previously set (typically in your .bashrc or .bash_profile), those settings # will be overwritten by any variables set here. # Specify Robot's hostname robot_hostname="021705CP00067.local" # Set *Either* your computers ip address or hostname. Please note if using # your_hostname that this must be resolvable to the Robot. your_ip="158.42.278.72" your_hostname="giovanni.local" # Specify ROS distribution (e.g. indigo, hydro, etc.) ros_version="kinetic" #-----------------------------------------------------------------------------# tf=$(mktemp) trap "rm -f -- '${tf}'" EXIT # If this file specifies an ip address or hostname - unset any previously set # ROS_IP and/or ROS_HOSTNAME. # If this file does not specify an ip address or hostname - use the # previously specified ROS_IP/ROS_HOSTNAME environment variables. if [ -n "${your_ip}" ] || [ -n "${your_hostname}" ]; then unset ROS_IP && unset ROS_HOSTNAME else your_ip="${ROS_IP}" && your_hostname="${ROS_HOSTNAME}" fi # If argument provided, set robot_hostname to argument # If argument is sim or local, set robot_hostname to localhost if [ -n "${1}" ]; then if [[ "${1}" == "sim" ]] || [[ "${1}" == "local" ]]; then robot_hostname="021705CP00067" if [[ -z ${your_ip} || "${your_ip}" == "158.42.278.72" ]] && \ [[ -z ${your_hostname} || "${your_hostname}" == "giovanni.local" ]]; then your_hostname="giovanni" your_ip="" fi else robot_hostname="${1}" fi fi topdir=$(basename $(readlink -f $(dirname ${BASH_SOURCE[0]}))) cat <<-EOF > ${tf} [ -s "\${HOME}"/.bashrc ] && source "\${HOME}"/.bashrc [ -s "\${HOME}"/.bash_profile ] && source "\${HOME}"/.bash_profile # verify this script is moved out of intera_sdk folder if [[ -e "${topdir}/intera_sdk/package.xml" ]]; then echo -ne "EXITING - This script must be moved from the intera_sdk folder \ to the root of your catkin workspace.\n" exit 1 fi # verify ros_version lowercase ros_version="$(tr [A-Z] [a-z] <<< "${ros_version}")" # check for ros installation if [ ! -d "/opt/ros" ] || [ ! "$(ls -A /opt/ros)" ]; then echo "EXITING - No ROS installation found in /opt/ros." echo "Is ROS installed?" exit 1 fi # if set, verify user has modified the robot_hostname if [ -n ${robot_hostname} ] && \ [[ "${robot_hostname}" == "021705CP00067.local" ]]; then echo -ne "EXITING - Please edit this file, modifying the \ 'robot_hostname' variable to reflect your Robot's current hostname.\n" exit 1 fi # if set, verify user has modified their ip address (your_ip) if [ -n ${your_ip} ] && [[ "${your_ip}" == "158.42.278.72" ]]; then echo -ne "EXITING - Please edit this file, modifying the 'your_ip' \ variable to reflect your current IP address.\n" exit 1 fi # if set, verify user has modified their computer hostname (your_hostname) if [ -n ${your_hostname} ] && \ [[ "${your_hostname}" == "giovanni.local" ]]; then echo -ne "EXITING - Please edit this file, modifying the \ 'your_hostname' variable to reflect your current PC hostname.\n" exit 1 fi # verify user does not have both their ip *and* hostname set if [ -n "${your_ip}" ] && [ -n "${your_hostname}" ]; then echo -ne "EXITING - Please edit this file, modifying to specify \ *EITHER* your_ip or your_hostname.\n" exit 1 fi # verify that one of your_ip, your_hostname, ROS_IP, or ROS_HOSTNAME is set if [ -z "${your_ip}" ] && [ -z "${your_hostname}" ]; then echo -ne "EXITING - Please edit this file, modifying to specify \ your_ip or your_hostname.\n" exit 1 fi # verify specified ros version is installed ros_setup="/opt/ros/\${ros_version}" if [ ! -d "\${ros_setup}" ]; then echo -ne "EXITING - Failed to find ROS \${ros_version} installation \ in \${ros_setup}.\n" exit 1 fi # verify the ros setup.sh file exists if [ ! -s "\${ros_setup}"/setup.sh ]; then echo -ne "EXITING - Failed to find the ROS environment script: \ "\${ros_setup}"/setup.sh.\n" exit 1 fi # verify the user is running this script in the root of the catkin # workspace and that the workspace has been compiled. if [ ! -s "devel/setup.bash" ]; then echo -ne "EXITING - \n1) Please verify that this script is being run \ in the root of your catkin workspace.\n2) Please verify that your workspace \ has been built (source /opt/ros/\${ros_version}/setup.sh; catkin_make).\n\ 3) Run this script again upon completion of your workspace build.\n" exit 1 fi [ -n "${your_ip}" ] && export ROS_IP="${your_ip}" [ -n "${your_hostname}" ] && export ROS_HOSTNAME="${your_hostname}" [ -n "${robot_hostname}" ] && \ export ROS_MASTER_URI="http://${robot_hostname}:11311" # source the catkin setup bash script source devel/setup.bash # setup the bash prompt export __ROS_PROMPT=\${__ROS_PROMPT:-0} [ \${__ROS_PROMPT} -eq 0 -a -n "\${PROMPT_COMMAND}" ] && \ export __ORIG_PROMPT_COMMAND=\${PROMPT_COMMAND} __ros_prompt () { if [ -n "\${__ORIG_PROMPT_COMMAND}" ]; then eval \${__ORIG_PROMPT_COMMAND} fi if ! echo \${PS1} | grep '\[intera' &>/dev/null; then export PS1="\[\033[00;33m\][intera - \ \${ROS_MASTER_URI}]\[\033[00m\] \${PS1}" fi } if [ "\${TERM}" != "dumb" ]; then export PROMPT_COMMAND=__ros_prompt __ROS_PROMPT=1 elif ! echo \${PS1} | grep '\[intera' &>/dev/null; then export PS1="[intera - \${ROS_MASTER_URI}] \${PS1}" fi EOF ${SHELL} --rcfile ${tf} rm -f -- "${tf}" trap - EXIT # vim: noet Someone knows what can I do? Thanks for all
  3. I would like to have my ROS Master running on a different system. Is it possible to set another system as the ROS Master instead of Sawyer?
  4. I've been able to connect to robot by IP, also i get rostopic < echo /robot/joint_states> succesfull but when I'm trying to do -> [intera - http://10.0.0.100:11311] civ@civ-VirtualBox:~/ros_ws$ rosrun intera_examples joint_torque_springs.py Initializing node... Getting robot state... Enabling robot... [INFO] [1546511493.727429]: Robot Enabled Running. Ctrl-c to quit the robot no moving, it doesn't do anything. i think that the problem is when robot have to do this --> self._limb.move_to_neutral() or limb.move_to_joint_positions(angles), the robot don't move when i send this comand anyone can help me! please !
  5. I followed the steps on networking from the intera website and tried to run the examples. But when I tried to, the message of "unable to communicate with master" always appeared. The intera.sh file has been correctly updated and don't know what other approach to take. Any extra packages that need to be downloaded / steps to take other than the ones described in the website?
  6. Hi, everyone, I have a question and hope to get your help. We have already one Sawyer robotic arm in our lab at present. But required by the tasks, we need to use two robotic arms simultaneously. We want to buy another Sawyer robotic arm to make them work together. My question is whether it is feasible that we use one laptop running the ros platform to control two robotic arms simultaneously. In the tutorial documentation, I only find examples for one robotic arm. But how should two robotic arms be connected to one laptop via the network cable in hardware? And is there an example to setup an environment for the controlling of two Sawyer robotic arms synchronously? Thank you.
  7. Is there a way to have access to the library of programs, saved in intera, through ROS? These programs are saved in the Sawyer's computer right? So I wanted to know if they can be accessed somehow.
  8. I want to be able to move the end effector freely along a circle about the base of my Sawyer with my hand. Is there a script similar to set_interaction_options.py or constrained_zeroG.py that will allow me to constrain individual joints?
  9. Hello, I am using the robot today and successfully established a connection. But when I try to run the intera examples non work. For the ones that involved movement I got a message saying that I was not connected to the motion server controller. I'd like to know if there is a way of fixing this issue. I am thinking of a complete OS re-installation as other packages gave me trouble too but would to show test the examples before doing so. Thanks for the advice.
  10. I would like to access the current image of my Sawyer head screen through an HTML file. Basically, to show the display on the web application. Is there an already stated procedure to get access to the head display?
  11. trying to write a program that subscribes to the endpoint states of sawyer through rostopics. i've opted to subscribe to each individual endpoint_state value. my program is based around ik_service_client, hence why i decided to subscribe to the individual values. I have the following: sub_p1 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/position/x", String) sub_p2 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/position/y", String) sub_p3 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/position/z", String) sub_q1 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/orientation/x", String) sub_q2 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/orientation/y", String) sub_q3 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/orientation/z", String) sub_q0 = rospy.Subscriber("/robot/limb/right/endpoint_state/pose/orientation/w", String) poses = {'right': PoseStamped( header = hdr, pose = Pose( position = Point( x = sub_p1, y = sub_p2, z = sub_p3, ), orientation = Quaternion( x = sub_q1, y = sub_q2, z = sub_q3, w = sub_q0, ), ), ), } However, as a test, i print "poses" and i get the following output: pose: position: x: <rospy.topics.Subscriber object at 0x7fe9f9c31c50> y: <rospy.topics.Subscriber object at 0x7fe9f9c31d50> z: <rospy.topics.Subscriber object at 0x7fe9f9c31d90> orientation: x: <rospy.topics.Subscriber object at 0x7fe9f9bd7050> y: <rospy.topics.Subscriber object at 0x7fe9f9c31e10> z: <rospy.topics.Subscriber object at 0x7fe9f9bd7710> w: <rospy.topics.Subscriber object at 0x7fe9f9bd79d0>} How am i able to print/access the actual data so i have an output of actual numbers that i can then pass on to perform inverse kinematics? I'm not sure if i'm using the correct data type (i.e. String or otherwise) to pass on the values. any corrections, suggestions or solutions would be much appreciated. - Luke
  12. Hi, Is it possible to control cameras (focusing, set exposure time, etc) through the SDK? And how to switch on/off the light source of the hand camera? Only lights of head and cuff can be commanded through the existing example code. Since the force control laws and algorithms are concerned, how can I read force sensor data of each joint? And is there any interface to directly read external force/torques by transformations? Thanks.
  13. I am doing a research which requires accurate coordinate and joint values from Sawyer, and as such I have the following questions to ask about Sawyer's joint accuracy. What are the accuracies of each limb length, joint angle values that are published via ROS and of the kinematic solvers? Is it possible to directly get the poses (coordinates) of any joint of choice? For now, we just calculate these values from the limb lengths and joint values published, thus the first question. Where is the virtual gripper/end-effector point relative to Sawyer's arm? As I understand, the end-effector point is needed to calculate the Inverse Kinematics, but I am unsure where exactly this point is. If it is possible to obtain this end-effector position, how can I tune/calibrate this position when a different gripper is attached? I know that the Intera UI allows some configuration, but is this possible with Intera SDK too? I would gladly explain more about my aims if more explanation is required. Thank you.